#!/usr/bin/env python 
'''
Copyright (C) 2006 Olivier Gondouin, popolon@popolon.org

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'''
import inkex

class ImageFitDoc(inkex.Effect):
    def effect(self):
        for id, node in self.selected.iteritems():
            if node.tagName == 'image':
              node.setAttribute('width', self.document.documentElement.getAttribute('width'))
              node.setAttribute('height', self.document.documentElement.getAttribute('height'))
              node.setAttribute('x', '0')
              node.setAttribute('y', '0')
              if node.hasAttribute('transform'):
                node.removeAttribute('transform')
e = ImageFitDoc()
e.affect()
